put
/api/v2/personas/{id}Update a persona.
Update a persona.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
id
path / required
No description provided.
Schema: string
Request Body
{
"type": "object",
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"ageRange": {
"type": "string",
"nullable": true
},
"educationLevel": {
"type": "string",
"nullable": true
}
}
}Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"ageRange": {
"type": "string",
"nullable": true
},
"educationLevel": {
"type": "string",
"nullable": true
},
"metadata": {
"type": "object",
"additionalProperties": true
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"name",
"description",
"metadata",
"createdAt",
"updatedAt"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.